Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-11.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-11.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-11.exp
@@ -1,23 +1,23 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="6" operation="start" operation_key="stonith-1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -26,119 +26,119 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="13" operation="stopped" operation_key="group1_stopped_0">
+      <pseudo_event id="14" operation="stopped" operation_key="group1_stopped_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="group1_stop_0"/>
+        <pseudo_event id="13" operation="stop" operation_key="group1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="12" operation="stop" operation_key="group1_stop_0">
+      <pseudo_event id="13" operation="stop" operation_key="group1_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="17" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="11" operation="running" operation_key="group1_running_0">
+      <pseudo_event id="12" operation="running" operation_key="group1_running_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="start" operation_key="group1_start_0"/>
+        <pseudo_event id="11" operation="start" operation_key="group1_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="10" operation="start" operation_key="group1_start_0">
+      <pseudo_event id="11" operation="start" operation_key="group1_start_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="13" operation="stopped" operation_key="group1_stopped_0"/>
+        <pseudo_event id="14" operation="stopped" operation_key="group1_stopped_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="15" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="16" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="start" operation_key="group1_start_0"/>
+        <pseudo_event id="11" operation="start" operation_key="group1_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="17" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="group1_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="17" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <pseudo_event id="13" operation="stop" operation_key="group1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -147,47 +147,47 @@
   </synapse>
   <synapse id="9">
     <action_set>
-      <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="7" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="10" operation="start" operation_key="group1_start_0"/>
+        <pseudo_event id="11" operation="start" operation_key="group1_start_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="17" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0">
+      <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0">
         <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="group1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <crm_event id="17" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <pseudo_event id="13" operation="stop" operation_key="group1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -196,85 +196,84 @@
   </synapse>
   <synapse id="12">
     <action_set>
-      <rsc_op id="15" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="16" operation="start" operation_key="rsc3_start_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="14" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="15" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="17" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <rsc_op id="14" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="15" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc3" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="13" operation="stopped" operation_key="group1_stopped_0"/>
+        <pseudo_event id="14" operation="stopped" operation_key="group1_stopped_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <crm_event id="17" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="15">
-    <action_set>
-      <pseudo_event id="16" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="17" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="17" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="16">
+  <synapse id="15">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="9" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="14" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="uuid2"/>
+        <rsc_op id="15" operation="stop" operation_key="rsc3_stop_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="17" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="16">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-13.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-13.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-13.exp
@@ -1,83 +1,82 @@
  <transition_graph cluster-delay="3m" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
    <synapse id="0">
      <action_set>
-      <pseudo_event id="66" operation="stop" operation_key="ocf_msdummy:6_stop_0">
+      <pseudo_event id="67" operation="stop" operation_key="ocf_msdummy:6_stop_0">
         <attributes CRM_meta_clone="6" CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000"  logfile="/var/log/cts_ocfdummy.log"/>
        </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <pseudo_event id="73" operation="stop" operation_key="master_rsc_1_stop_0"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
        </trigger>
        <trigger>
-        <crm_event id="80" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
+        <pseudo_event id="74" operation="stop" operation_key="master_rsc_1_stop_0"/>
        </trigger>
      </inputs>
    </synapse>
   <synapse id="1" priority="1000000">
      <action_set>
-      <pseudo_event id="74" operation="stopped" operation_key="master_rsc_1_stopped_0">
+      <pseudo_event id="75" operation="stopped" operation_key="master_rsc_1_stopped_0">
         <attributes CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
        </pseudo_event>
      </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="66" operation="stop" operation_key="ocf_msdummy:6_stop_0"/>
+        <pseudo_event id="67" operation="stop" operation_key="ocf_msdummy:6_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="73" operation="stop" operation_key="master_rsc_1_stop_0"/>
+        <pseudo_event id="74" operation="stop" operation_key="master_rsc_1_stop_0"/>
       </trigger>
     </inputs>
    </synapse>
   <synapse id="2">
      <action_set>
-      <pseudo_event id="73" operation="stop" operation_key="master_rsc_1_stop_0">
+      <pseudo_event id="74" operation="stop" operation_key="master_rsc_1_stop_0">
         <attributes CRM_meta_clone_max="12" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_master_max="6" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
        </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <crm_event id="80" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
        </trigger>
      </inputs>
    </synapse>
    <synapse id="3">
      <action_set>
-      <crm_event id="80" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
-        <attributes CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_op_no_wait="true" CRM_meta_probe_complete="true" CRM_meta_shutdown="1234" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
-        </downed>
-      </crm_event>
-     </action_set>
-    <inputs/>
-   </synapse>
-  <synapse id="4">
-     <action_set>
-      <pseudo_event id="79" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="80" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="80" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="5">
+  <synapse id="4">
     <action_set>
-      <pseudo_event id="21" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="22" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <pseudo_event id="66" operation="stop" operation_key="ocf_msdummy:6_stop_0"/>
+        <pseudo_event id="67" operation="stop" operation_key="ocf_msdummy:6_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="79" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="80" operation="stonith_complete" operation_key="stonith_complete"/>
        </trigger>
      </inputs>
    </synapse>
+  <synapse id="5">
+    <action_set>
+      <crm_event id="2" operation="stonith" operation_key="stonith-c001n04-reboot" on_node="c001n04" on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d">
+        <attributes CRM_meta_on_node="c001n04" CRM_meta_on_node_uuid="9e080e6d-7a25-4dac-be89-f6f4f128623d" CRM_meta_op_no_wait="true" CRM_meta_probe_complete="true" CRM_meta_shutdown="1234" CRM_meta_standby="off" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="9e080e6d-7a25-4dac-be89-f6f4f128623d"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
  </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-14.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-14.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-14.exp
@@ -1,68 +1,67 @@
  <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
    <synapse id="0">
      <action_set>
-      <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3">
-        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid3"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete">
+        <attributes />
+      </pseudo_event>
      </action_set>
      <inputs>
        <trigger>
-        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
        </trigger>
      </inputs>
    </synapse>
    <synapse id="1">
      <action_set>
-      <crm_event id="4" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_no_wait="true" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid2"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
+        <attributes />
+      </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3"/>
+        <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+      <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3">
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_stonith_action="reboot" />
         <downed>
-          <node id="uuid1"/>
+          <node id="uuid3"/>
         </downed>
        </crm_event>
      </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+    </inputs>
    </synapse>
   <synapse id="3">
      <action_set>
-      <pseudo_event id="2" operation="stonith_complete" operation_key="stonith_complete">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_no_wait="true" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid2"/>
+        </downed>
+      </crm_event>
      </action_set>
      <inputs>
        <trigger>
-        <crm_event id="4" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3"/>
        </trigger>
      </inputs>
    </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid1"/>
+        </downed>
+      </crm_event>
      </action_set>
-     <inputs>
-       <trigger>
-        <pseudo_event id="2" operation="stonith_complete" operation_key="stonith_complete"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
  </transition_graph>
-
